/*--------------------------------------------------------------------
main.m

brings all the scripts together
--------------------------------------------------------------------*/

#include "../../../std.mi"

#define iToS integerToString

Function setTempText(String newText);

Global Layout scriptLayout;
Global Group scriptGrp;

Global Text songTicker;
Global Slider seek;
Global Timer clrTxt;

#include "inc/status.m"
#include "inc/vis.m"
#include "inc/text.m"
#include "inc/seek.m"
#include "inc/button.m"

System.onScriptLoaded()
{
	scriptLayout = System.getContainer("main").getLayout("normal");
	scriptGrp = getScriptGroup();

	button_onScriptLoaded();
	vis_onScriptLoaded();
	status_onScriptLoaded();
	text_onScriptLoaded();
	seek_onScriptLoaded();

	scriptLayout.snapAdjust(15, 16, 13, 18);

	clrTxt = new Timer;
	clrTxt.setDelay(2000);
}

System.onScriptUnLoading()
{
	delete clrTxt;
	vis_onScriptUnloading();
	text_onScriptUnloading();
}

System.onPlay()
{
	status_onPlay();
}

System.onPause()
{
	status_onPause();
}

System.onResume()
{
	status_onResume();
}

System.onStop()
{
	status_onStop();
}

System.onTitleChange(String newTitle)
{
	text_onTitleChange(newTitle);
}

setTempText(String newText)
{
	songTicker.setAlternateText(newText);
	clrTxt.start();
}

clrTxt.onTimer()
{
	clrTxt.stop();
	songTicker.setAlternateText("");
}